Bug 222422 - Cannot connect to DAAP share
Cannot connect to DAAP share
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: banshee (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nigel Jones
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-12 07:01 EST by FX
Modified: 2008-04-19 22:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-19 22:22:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description FX 2007-01-12 07:01:40 EST
Description of problem:

When I click on the DAAP share in the sources list of Banshee, nothing happens
in the UI (no list of songs is loaded). The following is output to the terminal
where banshee runs:

Connecting to DAAP share: fe80::20b:dbff:fecb:5bdd:3689 (Musique FX)

Unhandled Exception: System.Net.WebException: Error: ConnectFailure
in <0x00158> System.Net.HttpWebRequest:EndGetResponse (IAsyncResult asyncResult)
in <0x00047> System.Net.HttpWebRequest:GetResponse ()
in <0x002d8> DAAP.ContentFetcher:FetchResponse (System.String path,
System.String query, System.Net.WebHeaderCollection extraHeaders, Int32
requestId, Boolean disableKeepalive)
in <0x00037> DAAP.ContentFetcher:Fetch (System.String path, System.String query,
System.Net.WebHeaderCollection extraHeaders, Int32 requestId)
in <0x00013> DAAP.ContentFetcher:Fetch (System.String path)
in <0x0008c> DAAP.Client:.ctor (System.Net.IPAddress address, UInt16 port)
in <0x0003b> DAAP.Client:.ctor (DAAP.Service service)
in <0x00031> Banshee.Plugins.Daap.DaapSource+<>AnonHelp<1>:<#AnonymousMethod>1 ()
in (wrapper delegate-invoke) System.MulticastDelegate:invoke_void ()

The DAAP share itself is produced by mt-daapd (www.mt-daapd.org), and works fine
with iTunes and GetItTogether.


Version-Release number of selected component (if applicable):
banshee-0.10.9-1..fc5

How reproducible: Always
Comment 1 Bug Zapper 2008-04-04 01:34:47 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Nigel Jones 2008-04-19 22:22:59 EDT
Per:

(In reply to comment #1)
> If this bug is still open against Fedora Core 1 through 6, thirty days
> from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
> the latest Fedora version, please change to the respective version. If
> you are unable to do this, please add a comment to this bug requesting
> the change.

I'm closing this bug, if you can reproduce it, please reopen and update the version of Fedora this is 
reported against.

Note You need to log in before you can comment on or make changes to this bug.